Description

This is a guide for installing the SpiderFoot utility on Arch Linux.

Prepare the Environment

* Make sure the system up to date:
sudo pacman -Syu
e |nstall a few dependencies:

sudo pacman -S python2 git python2-1lxml python2-netaddr python2-m2crypto python2-cherrypy pyth
on2-mako

Install SpiderFoot

* Clone spiderfoot from github:

git clone https://github.com/smicallef/spiderfoot.git
cd spiderfoot

e Start spiderfoot:

python2 ./sf.py 192.168.0.10:5001

Install TOR

e Install tor:
sudo pacman -S tor
e Edit the torrc config file:

sudo nano /etc/tor/torrc

o And make sure to uncomment the ControlPort definition:

SocksPort 9050
ControlPort 9051
e Start TOR:

sudo systemctl start tor

® Next go to the spiderfoot web interface http://192.168.0.10:5001

* Go to Settings and set the following parameters
1. SOCKS Server Type: TOR
2. SOCKS Server IP Address: 127.0.0.1
3. SOCKS Server TCP Port: 9050
4. Resolve DNS through the SOCKS proxy: True
5. Port TOR is taking control commands: 9051

Resources

* http://www.spiderfoot.net
e http://www.spiderfoot.net/documentation/
e https://github.com/smicallef/spiderfoot

History

#1 - 02/22/2016 10:00 PM - Daniel Curtis
- Description updated
- Status changed from New to In Progress

- % Done changed from 0 to 50

#2 - 02/25/2016 07:54 PM - Daniel Curtis
- Description updated
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#3 - 03/12/2016 04:10 PM - Daniel Curtis

- Description updated

#4 - 03/12/2016 04:29 PM - Daniel Curtis

- Status changed from Resolved to Closed

04/09/2024

22



http://192.168.0.10:5001
http://www.spiderfoot.net
http://www.spiderfoot.net/documentation/
https://github.com/smicallef/spiderfoot
http://www.tcpdf.org

